Package org.apache.tools.ant.taskdefs

# Class Javadoc.PackageName

java.lang.Object
org.apache.tools.ant.taskdefs.Javadoc.PackageName

Enclosing class:
  `Javadoc`

public static class Javadoc.PackageName extends Object
Used to track info about the packages to be javadoc'd

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PackageName()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Get the package name.
  `void`
  `setName(String name)`
  Set the name of the package
  `String`
  `toString()`
  Return a string rep for this object.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PackageName

    public PackageName()

- ## Method Details

  - ### setName

    public void setName(String name)
    Set the name of the package
    Parameters:
      `name` - the package name.

  - ### getName

    public String getName()
    Get the package name.
    Returns:
      the package's name.

  - ### toString

    public String toString()
    Return a string rep for this object.
    Overrides:
      `toString` in class `Object`
    Returns:
      the package name.